org.jboss.resteasy.client

## Class ProxyFactory

- java.lang.Object
- - org.jboss.resteasy.client.ProxyFactory

- Deprecated.

      @Deprecated
      public class ProxyFactory
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `create(Class<T> clazz, String base)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, String base, ClientExecutor client)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, String base, Map<String,Object> requestAttributes)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, String base, ResteasyProviderFactory providerFactory, Map<String,Object> requestAttributes)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, URI baseUri, ClientExecutor executor, ResteasyProviderFactory providerFactory)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, URI baseUri, ClientExecutor executor, ResteasyProviderFactory providerFactory, EntityExtractorFactory extractorFactory)` Deprecated.
    `static <T> T` | `create(Class<T> clazz, URI baseUri, ClientExecutor executor, ResteasyProviderFactory providerFactory, EntityExtractorFactory extractorFactory, Map<String,Object> requestAttributes)` Deprecated.
    `static <T> ClientInvoker` | `createClientInvoker(Class<T> clazz, Method method, URI baseUri, ClientExecutor executor, ResteasyProviderFactory providerFactory, EntityExtractorFactory extractorFactory)` Deprecated.
    `static <T> ClientInvoker` | `createClientInvoker(Class<T> clazz, Method method, URI baseUri, ClientExecutor executor, ResteasyProviderFactory providerFactory, EntityExtractorFactory extractorFactory, Map<String,Object> requestAttributes)` Deprecated.
    `static <T> ClientInvoker` | `createClientInvoker(Class<T> clazz, Method method, URI baseUri, ProxyConfig config)` Deprecated.
    `static URI` | `createUri(String base)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyFactory

          public ProxyFactory()

      Deprecated.

  - ### Method Detail

    - #### create

          public static <T> T create(Class<T> clazz,
                     String base)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     String base,
                     Map<String,Object> requestAttributes)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     String base,
                     ResteasyProviderFactory providerFactory,
                     Map<String,Object> requestAttributes)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     String base,
                     ClientExecutor client)

      Deprecated.

    - #### createUri

          public static URI createUri(String base)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     URI baseUri,
                     ClientExecutor executor,
                     ResteasyProviderFactory providerFactory)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     URI baseUri,
                     ClientExecutor executor,
                     ResteasyProviderFactory providerFactory,
                     EntityExtractorFactory extractorFactory)

      Deprecated.

    - #### create

          public static <T> T create(Class<T> clazz,
                     URI baseUri,
                     ClientExecutor executor,
                     ResteasyProviderFactory providerFactory,
                     EntityExtractorFactory extractorFactory,
                     Map<String,Object> requestAttributes)

      Deprecated.

    - #### createClientInvoker

          public static <T> ClientInvoker createClientInvoker(Class<T> clazz,
                                              Method method,
                                              URI baseUri,
                                              ClientExecutor executor,
                                              ResteasyProviderFactory providerFactory,
                                              EntityExtractorFactory extractorFactory)

      Deprecated.

    - #### createClientInvoker

          public static <T> ClientInvoker createClientInvoker(Class<T> clazz,
                                              Method method,
                                              URI baseUri,
                                              ClientExecutor executor,
                                              ResteasyProviderFactory providerFactory,
                                              EntityExtractorFactory extractorFactory,
                                              Map<String,Object> requestAttributes)

      Deprecated.

    - #### createClientInvoker

          public static <T> ClientInvoker createClientInvoker(Class<T> clazz,
                                              Method method,
                                              URI baseUri,
                                              ProxyConfig config)

      Deprecated.

Copyright © 2014. All Rights Reserved.